org.jboss.jca.common.api.metadata.ds

## Enum XaDataSource.Attribute

- java.lang.Object
- - java.lang.Enum<XaDataSource.Attribute>
  - - org.jboss.jca.common.api.metadata.ds.XaDataSource.Attribute

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<XaDataSource.Attribute>
  Enclosing interface:
    XaDataSource

      public static enum XaDataSource.Attribute
      extends java.lang.Enum<XaDataSource.Attribute>

  An attribute.
  Author:
    Stefano Maestri

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONNECTABLE` connectable attribute
    `ENABLED` enabled attribute
    `ENLISTMENT_TRACE` enlistment trace attribute
    `JNDI_NAME` jndi-name attribute
    `MCP` mcp attribute
    `POOL_NAME` pool-name attribute
    `SPY` spy attribute
    `TRACKING` tracking attribute
    `UNKNOWN` unknown attribute
    `USE_CCM` use-ccm attribute
    `USE_JAVA_CONTEXT` use-java-context attribute

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XaDataSource.Attribute` | `forName(java.lang.String localName)` Static method to get enum instance given localName XsdString
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static XaDataSource.Attribute` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static XaDataSource.Attribute[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final XaDataSource.Attribute UNKNOWN

      unknown attribute

    - #### JNDI_NAME

          public static final XaDataSource.Attribute JNDI_NAME

      jndi-name attribute

    - #### POOL_NAME

          public static final XaDataSource.Attribute POOL_NAME

      pool-name attribute

    - #### ENABLED

          public static final XaDataSource.Attribute ENABLED

      enabled attribute

    - #### USE_JAVA_CONTEXT

          public static final XaDataSource.Attribute USE_JAVA_CONTEXT

      use-java-context attribute

    - #### SPY

          public static final XaDataSource.Attribute SPY

      spy attribute

    - #### USE_CCM

          public static final XaDataSource.Attribute USE_CCM

      use-ccm attribute

    - #### CONNECTABLE

          public static final XaDataSource.Attribute CONNECTABLE

      connectable attribute

    - #### TRACKING

          public static final XaDataSource.Attribute TRACKING

      tracking attribute

    - #### MCP

          public static final XaDataSource.Attribute MCP

      mcp attribute

    - #### ENLISTMENT_TRACE

          public static final XaDataSource.Attribute ENLISTMENT_TRACE

      enlistment trace attribute

  - ### Method Detail

    - #### values

          public static XaDataSource.Attribute[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XaDataSource.Attribute c : XaDataSource.Attribute.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XaDataSource.Attribute valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<XaDataSource.Attribute>`

    - #### forName

          public static XaDataSource.Attribute forName(java.lang.String localName)

      Static method to get enum instance given localName XsdString
      Parameters:
        `localName` - a XsdString used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)